# shodan - The official Python library for the Shodan search engine

This is the official Python wrapper around both the Shodan REST API as well as the experimental Streaming API. And as a bonus it also lets you search for exploits using the Shodan Exploits REST API. If you’re not sure where to start simply go through the “Getting Started” section of the documentation and work your way down through the examples.

For more information about Shodan and how to use the API please visit our official help center at:

> https://help.shodan.io

## Introduction

- Getting Started
  - Installation
  - Connect to the API
  - Searching Shodan
  - Looking up a host

## Examples

- Basic Shodan Search
- Collecting Summary Information using Facets
- Access SSL certificates in Real-Time
- GIF Creator

## API Reference

- shodan
  - `Shodan`
  - Exceptions